Loading...
Searching...
No Matches
repartition.hh File Reference

Functionality for redistributing a parallel index set using graph partitioning. More...

`#include <cassert>`
`#include <map>`
`#include <utility>`
`#include <cmath>`
`#include <dune/common/timer.hh>`
`#include <dune/common/enumset.hh>`
`#include <dune/common/stdstreams.hh>`
`#include <dune/common/parallel/mpitraits.hh>`
`#include <dune/common/parallel/communicator.hh>`
`#include <dune/common/parallel/indexset.hh>`
`#include <dune/common/parallel/indicessyncer.hh>`
`#include <dune/common/parallel/remoteindices.hh>`
`#include <dune/common/rangeutilities.hh>`
`#include <dune/istl/owneroverlapcopy.hh>`
`#include <dune/istl/paamg/graph.hh>`

Go to the source code of this file.

## Classes

struct | Dune::RedistributeInterface

## Namespaces

namespace | Dune
namespace | Dune::Metis

## Typedefs

using | Dune::Metis::real_t = float
using | Dune::Metis::idx_t = std::size_t

## Functions

template<class G, class T1, class T2>
void | Dune::fillIndexSetHoles (const G &graph, Dune::OwnerOverlapCopyCommunication< T1, T2 > &oocomm)
| Fills the holes in an index set.
template<class G, class T1, class T2>
bool | Dune::buildCommunication (const G &graph, std::vector< int > &realparts, Dune::OwnerOverlapCopyCommunication< T1, T2 > &oocomm, std::shared_ptr< Dune::OwnerOverlapCopyCommunication< T1, T2 > > &outcomm, RedistributeInterface &redistInf, bool verbose=false)
template<class S, class T>
void | Dune::print_carray (S &os, T *array, std::size_t l)
template<class S, class T>
bool | Dune::isValidGraph (std::size_t noVtx, std::size_t gnoVtx, S noEdges, T *xadj, T *adjncy, bool checkSymmetry)
template<class M, class T1, class T2>
bool | Dune::commGraphRepartition (const M &mat, Dune::OwnerOverlapCopyCommunication< T1, T2 > &oocomm, Metis::idx_t nparts, std::shared_ptr< Dune::OwnerOverlapCopyCommunication< T1, T2 > > &outcomm, RedistributeInterface &redistInf, bool verbose=false)
template<class G, class T1, class T2>
bool | Dune::graphRepartition (const G &graph, Dune::OwnerOverlapCopyCommunication< T1, T2 > &oocomm, Metis::idx_t nparts, std::shared_ptr< Dune::OwnerOverlapCopyCommunication< T1, T2 > > &outcomm, RedistributeInterface &redistInf, bool verbose=false)
| execute a graph repartition for a giving graph and indexset.

## Detailed Description

Functionality for redistributing a parallel index set using graph partitioning.

Refactored version of an intern.

Author
  Markus Blatt